VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Datastore::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Datastore::Info:

## Avaliable Methods
public method | set_free_space ()
public method | get_free_space ()
public method | set_type ()
public method | get_multiple_host_access ()
public method | set_accessible ()
public method | set_name ()
public method | get_thin_provisioning_supported ()
public method | set_thin_provisioning_supported ()
public method | new ()
public method | get_type ()
public method | get_name ()
public method | get_accessible ()
public method | set_multiple_host_access ()

## Detailed Description

The `Com::Vmware::Vcenter::Datastore::Info` class contains information about a datastore.

## Member Function Documentation

public method Com::Vmware::Vcenter::Datastore::Info::get_accessible | ( |  | ) |

Gets the value of 'accessible' property.

Return values

  accessible | - The current value of the field. Whether or not this datastore is accessible. boolean#

Code:
click to view
# Number of lines of code in get_accessible: 4
sub get_accessible {
my ($self, %args) = @_;
return $self->{'accessible'};
}

public method Com::Vmware::Vcenter::Datastore::Info::get_free_space | ( |  | ) |

Gets the value of 'free_space' property.

Return values

  free_space | - The current value of the field. Available space of this datastore, in bytes.

The server periodically updates this value.

Optional#

Code:
click to view
# Number of lines of code in get_free_space: 4
sub get_free_space {
my ($self, %args) = @_;
return $self->{'free_space'};
}

public method Com::Vmware::Vcenter::Datastore::Info::get_multiple_host_access | ( |  | ) |

Gets the value of 'multiple_host_access' property.

Return values

  multiple_host_access | - The current value of the field. Whether or not ore than one host in the datacenter has been configured with access to the datastore. boolean#

Code:
click to view
# Number of lines of code in get_multiple_host_access: 4
sub get_multiple_host_access {
my ($self, %args) = @_;
return $self->{'multiple_host_access'};
}

public method Com::Vmware::Vcenter::Datastore::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the datastore. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Datastore::Info::get_thin_provisioning_supported | ( |  | ) |

Gets the value of 'thin_provisioning_supported' property.

Return values

  thin_provisioning_supported | - The current value of the field. Whether or not the datastore supports thin provisioning on a per file basis. When thin provisioning is used, backing storage is lazily allocated. boolean#

Code:
click to view
# Number of lines of code in get_thin_provisioning_supported: 4
sub get_thin_provisioning_supported {
my ($self, %args) = @_;
return $self->{'thin_provisioning_supported'};
}

public method Com::Vmware::Vcenter::Datastore::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type (VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Datastore::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Datastore::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->{accessible} = $args{'accessible'};
$self->{free_space} = $args{'free_space'};
$self->{multiple_host_access} = $args{'multiple_host_access'};
$self->{thin_provisioning_supported} = $args{'thin_provisioning_supported'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Datastore::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.datastore.info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Datastore::Type'));
$self->set_binding_field('key' => 'accessible', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'free_space', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'multiple_host_access', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'thin_provisioning_supported', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_accessible | ( |  | ) |

Sets the given value for 'accessible' property.

Parameters

  accessible | - New value for the field. Whether or not this datastore is accessible.

Code:
click to view
# Number of lines of code in set_accessible: 5
sub set_accessible {
my ($self, %args) = @_;
$self->{'accessible'} = $args{'accessible'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_free_space | ( |  | ) |

Sets the given value for 'free_space' property.

Parameters

  free_space | - New value for the field. Available space of this datastore, in bytes.

The server periodically updates this value.

Code:
click to view
# Number of lines of code in set_free_space: 5
sub set_free_space {
my ($self, %args) = @_;
$self->{'free_space'} = $args{'free_space'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_multiple_host_access | ( |  | ) |

Sets the given value for 'multiple_host_access' property.

Parameters

  multiple_host_access | - New value for the field. Whether or not ore than one host in the datacenter has been configured with access to the datastore.

Code:
click to view
# Number of lines of code in set_multiple_host_access: 5
sub set_multiple_host_access {
my ($self, %args) = @_;
$self->{'multiple_host_access'} = $args{'multiple_host_access'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the datastore.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_thin_provisioning_supported | ( |  | ) |

Sets the given value for 'thin_provisioning_supported' property.

Parameters

  thin_provisioning_supported | - New value for the field. Whether or not the datastore supports thin provisioning on a per file basis. When thin provisioning is used, backing storage is lazily allocated.

Code:
click to view
# Number of lines of code in set_thin_provisioning_supported: 5
sub set_thin_provisioning_supported {
my ($self, %args) = @_;
$self->{'thin_provisioning_supported'} = $args{'thin_provisioning_supported'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type (VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Datastore.pm